<?php
//底层MVC路由的实现原理
// $server = $_SERVER;                   //  通过print_r打印可以查看服务器信息
// $path_info = $_SERVER[PATH_INFO];        //  /home/zmboy
// $script_name = $_SERVER[SCRIPT_NAME];    //  /Index.php
// $request_uri = $_SERVER[REQUEST_URI];    //  /index.php/home/zmboy

$path = ltrim($_SERVER[PATH_INFO],'/');  //去除路劲中最左边的正斜线'/'
$controller_method = explode('/',$path);   //将路径分隔成控制器名称和方法名称返回一个数组
$controller_method[0] = ucfirst($controller_method[0]);   //将控制器名称首字母大写
$controller = $controller_method[0];       //将控制器名称给到变量$controller
$method = $controller_method[1];           //将方法名称给到变量$method
require_once __DIR__.'/controller/'.$controller.'.php';  //通过控制器名称引入控制器
$obj = New $controller;                    //实例化
$res = $obj->$method();                    //调用控制器中的方法并给到变量$res
exit($res);                                //暂停并执行$res

// echo '<pre>';
// print_r($controller_method);